Bug 765953 - (qyoto) Review Request: qyoto - .NET/Mono Qt bindings
Review Request: qyoto - .NET/Mono Qt bindings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.8 kimono
  Show dependency treegraph
 
Reported: 2011-12-09 13:42 EST by Rex Dieter
Modified: 2012-01-24 02:53 EST (History)
5 users (show)

See Also:
Fixed In Version: kimono-4.7.4-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-10 10:27:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-12-09 13:42:06 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdebindings/qyoto.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdebindings/qyoto-4.7.90-1.fc16.src.rpm
Description:
.NET/Mono bindings for the Qt libraries from the kdebindings Qyoto project.

More split kdebindings packaging (last monotithic kdebindings was in f15/kdebindings-4.6.x)
Comment 1 Steve 2011-12-10 19:45:28 EST
I second this.  Qt and C# are a powerful combo for making cross-platform applications.  I made my own .spec file from the SUSE source RPM, but it looks like Rex did a better job than I did.
Comment 2 Jaroslav Reznik 2012-01-04 09:58:18 EST
Name: ok
Summary: ok
Version: ok (should be rebased to 4.7.97)
License: ok
Url: ok (maybe use http://techbase.kde.org/Development/Languages/Qyoto to be consistent?)
Sources: ok
  MD5SUM this package     : 1c4d546a57ea7bd772f88312f18d4d4a
  MD5SUM upstream package : 1c4d546a57ea7bd772f88312f18d4d4a
BuildRequires: ok
Description: ok (but too long -devel)
Macros used consistently: ok
Ldconfig found: ok
Package builds: ok
Doc files: please include also COPYING.LIB and ChangeLog
Devel package: ok (no .la, all .so)

rpmlint qyoto-4.7.90-1.fc17.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

ok

rpmlint qyoto-4.7.90-1.fc17.i686.rpm
qyoto.i686: W: shared-lib-calls-exit /usr/lib/libqyoto.so.2.0.0 exit@GLIBC_2.0
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

ok

rpmlint qyoto-devel-4.7.90-1.fc17.i686.rpm
qyoto-devel.i686: E: description-line-too-long C This package contains development files for the .NET/Mono bindings for the Qt4 libraries.

not ok
Comment 3 Rex Dieter 2012-01-04 10:52:15 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdebindings/qyoto.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/kdebindings/qyoto-4.7.97-1.fc16.src.rpm


%changelog
* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-1
- 4.7.97
- devel: make %%description shorter
- update URL
Comment 4 Steve 2012-01-04 11:41:00 EST
I just wanted to point out that on 22-Dec-2011, version 4.7.4 (stable) of qyoto was released to the kde.org site.

So perhaps the version number should be changed to 4.7.4 and the Source0 URL should be changed to ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2 .
Comment 5 Rex Dieter 2012-01-04 11:47:04 EST
We can consider doing 4.7.4 releases, sure, but let's get this into rawhide first (matching kde-4.7.97, aka kde-4.8rc2).
Comment 6 Jaroslav Reznik 2012-01-04 12:04:57 EST
Thanks Rex, APPROVED

For 4.7.97 I agree with Rex here.
Comment 7 Rex Dieter 2012-01-04 12:09:00 EST
New Package SCM Request
=======================
Package Name: qyoto
Short Description: .NET/Mono Qt bindings
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f16
InitialCC:
Comment 8 Jon Ciesla 2012-01-04 12:27:29 EST
Git done (by process-git-requests).
Comment 9 Rex Dieter 2012-01-10 10:27:27 EST
imported.
Comment 10 Fedora Update System 2012-01-13 14:26:52 EST
kimono-4.7.4-1.fc16,qyoto-4.7.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kimono-4.7.4-1.fc16,qyoto-4.7.4-1.fc16
Comment 11 Fedora Update System 2012-01-24 02:53:43 EST
kimono-4.7.4-1.fc16, qyoto-4.7.4-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.